Bug 37231 - ORBit compile causes error on eliminate_regs
ORBit compile causes error on eliminate_regs
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-23 13:37 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:21:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-23 13:37:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Compilation of ORBit 0.5.7 fails with error:
------------
make[4]: Entering Directory '/root/gnome14/ORBit-0.5.7/src/services/name'
gcc -DHAVE_CONFIG_H -I. -I../../.. -I. -I../../../src -
I../../../src/ORBitutil -I../../../src -I/usr/include/glib-1.2 -
I/usr/lib/glib/include  -g -02 -c CosNaming-skels.c
CosNaming-skels.c: In function '_ORBIT_skel_CosNaming_NamingContext_list':
CosNaming-skels.c:1322: Internal comlier error in eliminate_regs, at 
reload1.c:2529
Please submit a full bug report.
---------
bla blah blah...

Reproducible: Always
Steps to Reproduce:
1.download ORBit from gnome.org
2.tar zxf ORBit-0.5.7.tar.gz
3.cd ORBit-0.5.7
4../configure --prefix=/opt/gnome
5.make

Fails on step 5
	

Actual Results:  make[4]: Entering Directory '/root/gnome14/ORBit-
0.5.7/src/services/name'
gcc -DHAVE_CONFIG_H -I. -I../../.. -I. -I../../../src -
I../../../src/ORBitutil -I../../../src -I/usr/include/glib-1.2 -
I/usr/lib/glib/include  -g -02 -c CosNaming-skels.c
CosNaming-skels.c: In function '_ORBIT_skel_CosNaming_NamingContext_list':
CosNaming-skels.c:1322: Internal comlier error in eliminate_regs, at 
reload1.c:2529
Please submit a full bug report.


Expected Results:  make should complete..

well, workaround is Install The RPM :)
Comment 1 Jakub Jelinek 2004-10-02 15:21:22 EDT
SPARC ports are long time discontinued now and this bugreport
lacks a self-contained testcase, closing.

Note You need to log in before you can comment on or make changes to this bug.